Class lclip
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lclip

public class lclip
extends ej
clip the values of a list
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lclip(float clipMin, float clipMax) Create a lclip object.

Method Summary
void | bang() Re-Trigger the calculation.
void | inlet(float f) If the value arrives in the leftmost inlet : clip the int/float value ( for that matter you may have to try the standart `change` object, which works quite well in fact :-))
void | inlet(int i) If the value arrives in the leftmost inlet : clip the int/float value ( for that matter you may have to try the standart `change` object, which works quite well in fact :-))
void | list(float[] args) clip the list.

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
lclip
public lclip(float clipMin,
float clipMax)

  Create a lclip object. The arguments sets the limits.
  Parameters:
    clipMin - define the lowest value of the resulting list
    clipMax - define the highest value of the resulting list

Method Detail
bang
public void bang()

  Re-Trigger the calculation.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  If the value arrives in the leftmost inlet : clip the int/float value ( for that matter you may have to try the standart `change` object, which works quite well in fact :-))

  If the value arrives in the middle inlet : set the lowest value

  If the value arrives in the rightmost inlet : set the highest value

  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  If the value arrives in the leftmost inlet : clip the int/float value ( for that matter you may have to try the standart `change` object, which works quite well in fact :-))

  If the value arrives in the middle inlet : set the lowest value

  If the value arrives in the rightmost inlet : set the highest value

  Overrides:
    inlet in class ej
  Parameters:
    f - the value

list
public void list(float[] args)

  clip the list.
  Overrides:
    list in class com.cycling74.max.MaxObject

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com